-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II"
-- VERSION		"Version 10.1 Build 153 11/29/2010 SJ Full Version"
-- CREATED		"Sun Jan 30 13:38:15 2011"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY carrefour_sch IS 
	PORT
	(
		CLOCK_50 :  IN  STD_LOGIC;
		KEY :  IN  STD_LOGIC_VECTOR(1 DOWNTO 0);
		SW :  IN  STD_LOGIC_VECTOR(0 TO 0);
		LEDR :  OUT  STD_LOGIC_VECTOR(7 DOWNTO 0)
	);
END carrefour_sch;

ARCHITECTURE bdf_type OF carrefour_sch IS 

COMPONENT carrefour
	PORT(reset : IN STD_LOGIC;
		 clock : IN STD_LOGIC;
		 voit_EO : IN STD_LOGIC;
		 or_cli : IN STD_LOGIC;
		 BDT : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
		 RAZ_CPT : OUT STD_LOGIC;
		 R_NS : OUT STD_LOGIC;
		 V_NS : OUT STD_LOGIC;
		 R_EO : OUT STD_LOGIC;
		 O_EO : OUT STD_LOGIC;
		 V_EO : OUT STD_LOGIC;
		 O_NS : OUT STD_LOGIC
	);
END COMPONENT;

COMPONENT div50m
	PORT(clock : IN STD_LOGIC;
		 cout : OUT STD_LOGIC;
		 q : OUT STD_LOGIC_VECTOR(25 DOWNTO 0)
	);
END COMPONENT;

COMPONENT cpt256
	PORT(clock : IN STD_LOGIC;
		 aclr : IN STD_LOGIC;
		 q : OUT STD_LOGIC_VECTOR(7 DOWNTO 0)
	);
END COMPONENT;

SIGNAL	clk1S :  STD_LOGIC;
SIGNAL	cptsec :  STD_LOGIC_VECTOR(7 DOWNTO 0);
SIGNAL	raz_cptsec :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_0 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_1 :  STD_LOGIC;


BEGIN 
LEDR(3) <= '0';
LEDR(7) <= '0';




b2v_inst1 : carrefour
PORT MAP(reset => SYNTHESIZED_WIRE_0,
		 clock => CLOCK_50,
		 voit_EO => SYNTHESIZED_WIRE_1,
		 or_cli => SW(0),
		 BDT => cptsec,
		 RAZ_CPT => raz_cptsec,
		 R_NS => LEDR(6),
		 V_NS => LEDR(4),
		 R_EO => LEDR(2),
		 O_EO => LEDR(1),
		 V_EO => LEDR(0),
		 O_NS => LEDR(5));


SYNTHESIZED_WIRE_1 <= NOT(KEY(0));



b2v_inst2 : div50m
PORT MAP(clock => CLOCK_50,
		 cout => clk1S);


b2v_inst3 : cpt256
PORT MAP(clock => clk1S,
		 aclr => raz_cptsec,
		 q => cptsec);


SYNTHESIZED_WIRE_0 <= NOT(KEY(1));



END bdf_type;