-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "01/30/2011 12:31:23"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	carrefour_sch IS
    PORT (
	LEDR : OUT std_logic_vector(7 DOWNTO 0);
	KEY : IN std_logic_vector(1 DOWNTO 0);
	CLOCK_50 : IN std_logic;
	SW : IN std_logic_vector(0 DOWNTO 0)
	);
END carrefour_sch;

-- Design Ports Information
-- LEDR[7]	=>  Location: PIN_AC21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[6]	=>  Location: PIN_AD21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[5]	=>  Location: PIN_AD23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[4]	=>  Location: PIN_AD22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[3]	=>  Location: PIN_AC22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[2]	=>  Location: PIN_AB21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[1]	=>  Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[0]	=>  Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- KEY[1]	=>  Location: PIN_N23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLOCK_50	=>  Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF carrefour_sch IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_LEDR : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_KEY : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_CLOCK_50 : std_logic;
SIGNAL ww_SW : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CLOCK_50~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\ : std_logic;
SIGNAL \inst1|reg_fstate.NSV_EOR~0_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \CLOCK_50~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\ : std_logic;
SIGNAL \CLOCK_50~clkctrl_outclk\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst1|Equal0~1_combout\ : std_logic;
SIGNAL \inst1|Selector8~0_combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst1|Equal5~0_combout\ : std_logic;
SIGNAL \inst1|Equal5~1_combout\ : std_logic;
SIGNAL \inst1|Selector8~1_combout\ : std_logic;
SIGNAL \inst1|fstate.OR0~regout\ : std_logic;
SIGNAL \inst1|Equal4~0_combout\ : std_logic;
SIGNAL \inst1|Equal4~1_combout\ : std_logic;
SIGNAL \inst1|Selector5~0_combout\ : std_logic;
SIGNAL \inst1|fstate.NSR_EOR2~regout\ : std_logic;
SIGNAL \inst1|reg_fstate.NSV_EOR~1_combout\ : std_logic;
SIGNAL \inst1|fstate.NSV_EOR~regout\ : std_logic;
SIGNAL \inst1|Selector7~0_combout\ : std_logic;
SIGNAL \inst1|Selector7~1_combout\ : std_logic;
SIGNAL \inst1|fstate.RAZ_T2~regout\ : std_logic;
SIGNAL \inst1|reg_fstate.RAZ_T~0_combout\ : std_logic;
SIGNAL \inst1|fstate.RAZ_T~regout\ : std_logic;
SIGNAL \inst1|RAZ_CPT~0_combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst1|Equal0~0_combout\ : std_logic;
SIGNAL \inst1|Equal3~0_combout\ : std_logic;
SIGNAL \inst1|Equal3~1_combout\ : std_logic;
SIGNAL \inst1|Equal2~0_combout\ : std_logic;
SIGNAL \inst1|Selector4~0_combout\ : std_logic;
SIGNAL \inst1|fstate.NSR_EOO~regout\ : std_logic;
SIGNAL \inst1|Selector2~0_combout\ : std_logic;
SIGNAL \inst1|fstate.NSR_EOR1~regout\ : std_logic;
SIGNAL \inst1|Selector3~0_combout\ : std_logic;
SIGNAL \inst1|Selector3~1_combout\ : std_logic;
SIGNAL \inst1|fstate.NSR_EOV~regout\ : std_logic;
SIGNAL \inst1|R_NS~0_combout\ : std_logic;
SIGNAL \inst1|R_NS~1_combout\ : std_logic;
SIGNAL \inst1|Selector0~0_combout\ : std_logic;
SIGNAL \inst1|fstate.NSO_EOR~regout\ : std_logic;
SIGNAL \inst1|Selector6~0_combout\ : std_logic;
SIGNAL \inst1|fstate.OR1~regout\ : std_logic;
SIGNAL \inst1|O_NS~0_combout\ : std_logic;
SIGNAL \inst1|V_NS~0_combout\ : std_logic;
SIGNAL \inst1|R_EO~0_combout\ : std_logic;
SIGNAL \inst1|R_EO~1_combout\ : std_logic;
SIGNAL \inst1|O_EO~0_combout\ : std_logic;
SIGNAL \inst1|V_EO~0_combout\ : std_logic;
SIGNAL \KEY~combout\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \SW~combout\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|safe_q\ : std_logic_vector(25 DOWNTO 0);
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|safe_q\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \ALT_INV_KEY~combout\ : std_logic_vector(1 DOWNTO 1);

BEGIN

LEDR <= ww_LEDR;
ww_KEY <= KEY;
ww_CLOCK_50 <= CLOCK_50;
ww_SW <= SW;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\);

\CLOCK_50~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \CLOCK_50~combout\);
\ALT_INV_KEY~combout\(1) <= NOT \KEY~combout\(1);

-- Location: LCFF_X60_Y4_N21
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(7));

-- Location: LCCOMB_X60_Y4_N18
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|safe_q\(6) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCCOMB_X60_Y4_N20
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ = \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ $ (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(7),
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\);

-- Location: LCFF_X1_Y16_N25
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[25]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(25));

-- Location: LCFF_X1_Y16_N23
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[24]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(24));

-- Location: LCFF_X1_Y16_N21
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[23]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(23));

-- Location: LCFF_X1_Y16_N19
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[22]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(22));

-- Location: LCFF_X1_Y16_N17
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[21]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(21));

-- Location: LCFF_X1_Y16_N15
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[20]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(20));

-- Location: LCFF_X1_Y16_N13
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[19]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(19));

-- Location: LCFF_X1_Y16_N11
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(18));

-- Location: LCFF_X1_Y16_N9
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(17));

-- Location: LCFF_X1_Y16_N7
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(16));

-- Location: LCFF_X1_Y16_N5
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15));

-- Location: LCFF_X1_Y16_N3
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14));

-- Location: LCFF_X1_Y16_N1
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13));

-- Location: LCFF_X1_Y17_N31
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12));

-- Location: LCFF_X1_Y17_N29
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11));

-- Location: LCFF_X1_Y17_N27
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10));

-- Location: LCFF_X1_Y17_N25
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9));

-- Location: LCFF_X1_Y17_N23
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8));

-- Location: LCFF_X1_Y17_N21
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7));

-- Location: LCFF_X1_Y17_N19
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6));

-- Location: LCFF_X1_Y17_N17
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5));

-- Location: LCFF_X1_Y17_N15
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4));

-- Location: LCFF_X1_Y17_N13
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3));

-- Location: LCFF_X1_Y17_N11
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2));

-- Location: LCFF_X1_Y17_N9
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~combout\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1));

-- Location: LCFF_X1_Y17_N7
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	sdata => \~GND~combout\,
	sload => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0));

-- Location: LCCOMB_X1_Y17_N6
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (VCC)
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datad => VCC,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X1_Y17_N8
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCCOMB_X1_Y17_N10
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: LCCOMB_X1_Y17_N12
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X1_Y17_N14
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: LCCOMB_X1_Y17_N16
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X1_Y17_N18
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCCOMB_X1_Y17_N20
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\);

-- Location: LCCOMB_X1_Y17_N22
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\);

-- Location: LCCOMB_X1_Y17_N24
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\);

-- Location: LCCOMB_X1_Y17_N26
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\);

-- Location: LCCOMB_X1_Y17_N28
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\);

-- Location: LCCOMB_X1_Y17_N30
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\);

-- Location: LCCOMB_X1_Y16_N0
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\);

-- Location: LCCOMB_X1_Y16_N2
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\);

-- Location: LCCOMB_X1_Y16_N4
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\);

-- Location: LCCOMB_X1_Y16_N6
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(16) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(16) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(16) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(16),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\);

-- Location: LCCOMB_X1_Y16_N8
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(17) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(17) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(17),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\);

-- Location: LCCOMB_X1_Y16_N10
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(18) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(18) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(18) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(18),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\);

-- Location: LCCOMB_X1_Y16_N12
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(19) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(19) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(19),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\);

-- Location: LCCOMB_X1_Y16_N14
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(20) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(20) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(20) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(20),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\);

-- Location: LCCOMB_X1_Y16_N16
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(21) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(21) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(21),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\);

-- Location: LCCOMB_X1_Y16_N18
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(22) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(22) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(22) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(22),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\);

-- Location: LCCOMB_X1_Y16_N20
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(23) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(23) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(23),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\);

-- Location: LCCOMB_X1_Y16_N22
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(24) & (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ $ (GND))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(24) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ & VCC))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(24) & !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(24),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\);

-- Location: LCCOMB_X1_Y16_N24
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(25) & (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(25) & ((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\) # (GND)))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(25),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\);

-- Location: LCCOMB_X1_Y16_N26
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\ = !\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\);

-- Location: LCCOMB_X59_Y4_N6
\inst1|reg_fstate.NSV_EOR~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|reg_fstate.NSV_EOR~0_combout\ = (!\SW~combout\(0) & ((\inst1|fstate.RAZ_T2~regout\) # ((\KEY~combout\(0) & !\inst1|fstate.NSV_EOR~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \KEY~combout\(0),
	datab => \SW~combout\(0),
	datac => \inst1|fstate.NSV_EOR~regout\,
	datad => \inst1|fstate.RAZ_T2~regout\,
	combout => \inst1|reg_fstate.NSV_EOR~0_combout\);

-- Location: LCCOMB_X2_Y16_N6
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(23) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(22) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(25) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(24))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(23),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(22),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(25),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(24),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\);

-- Location: LCCOMB_X2_Y16_N30
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(18) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(21) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(19) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(20))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(18),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(21),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(19),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(20),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\);

-- Location: LCCOMB_X1_Y16_N30
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(16) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(17) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(16),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(17),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\);

-- Location: LCCOMB_X2_Y16_N8
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\);

-- Location: LCCOMB_X2_Y16_N14
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ & (\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ & 
-- (\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ & \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\,
	datab => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\,
	datac => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\,
	datad => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\);

-- Location: LCCOMB_X1_Y17_N0
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\);

-- Location: LCCOMB_X1_Y17_N4
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\);

-- Location: LCCOMB_X1_Y17_N2
\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\ = (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\ & \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datac => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\,
	datad => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\);

-- Location: LCCOMB_X1_Y16_N28
\inst2|LPM_COUNTER_component|auto_generated|cout_actual\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\ = LCELL((\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\) # ((\inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\ & 
-- \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\,
	datac => \inst2|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\,
	datad => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~combout\);

-- Location: LCCOMB_X2_Y17_N16
\~GND\ : cycloneii_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\CLOCK_50~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_CLOCK_50,
	combout => \CLOCK_50~combout\);

-- Location: CLKCTRL_G0
\inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\);

-- Location: CLKCTRL_G2
\CLOCK_50~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \CLOCK_50~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLOCK_50~clkctrl_outclk\);

-- Location: LCCOMB_X60_Y4_N6
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (VCC)
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datad => VCC,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X60_Y4_N8
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCCOMB_X60_Y4_N10
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: LCFF_X60_Y4_N11
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2));

-- Location: LCCOMB_X60_Y4_N0
\inst1|Equal0~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal0~1_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & \inst1|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => \inst1|Equal0~0_combout\,
	combout => \inst1|Equal0~1_combout\);

-- Location: LCCOMB_X60_Y4_N22
\inst1|Selector8~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector8~0_combout\ = (\inst1|fstate.OR0~regout\ & ((\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0)) # (!\inst1|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst1|fstate.OR0~regout\,
	datad => \inst1|Equal0~1_combout\,
	combout => \inst1|Selector8~0_combout\);

-- Location: LCCOMB_X60_Y4_N12
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCFF_X60_Y4_N13
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3));

-- Location: LCFF_X60_Y4_N7
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0));

-- Location: LCCOMB_X59_Y4_N16
\inst1|Equal5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal5~0_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	combout => \inst1|Equal5~0_combout\);

-- Location: LCCOMB_X59_Y4_N18
\inst1|Equal5~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal5~1_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst1|Equal5~0_combout\ & \inst1|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datac => \inst1|Equal5~0_combout\,
	datad => \inst1|Equal0~0_combout\,
	combout => \inst1|Equal5~1_combout\);

-- Location: LCCOMB_X60_Y4_N4
\inst1|Selector8~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector8~1_combout\ = (\inst1|Selector8~0_combout\) # ((\inst1|fstate.OR1~regout\ & \inst1|Equal5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.OR1~regout\,
	datab => \inst1|Selector8~0_combout\,
	datad => \inst1|Equal5~1_combout\,
	combout => \inst1|Selector8~1_combout\);

-- Location: PIN_N23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(1),
	combout => \KEY~combout\(1));

-- Location: LCFF_X60_Y4_N5
\inst1|fstate.OR0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector8~1_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.OR0~regout\);

-- Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(0),
	combout => \SW~combout\(0));

-- Location: LCCOMB_X59_Y4_N26
\inst1|Equal4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal4~0_combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	combout => \inst1|Equal4~0_combout\);

-- Location: LCCOMB_X59_Y4_N28
\inst1|Equal4~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal4~1_combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst1|Equal0~0_combout\ & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & \inst1|Equal4~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst1|Equal0~0_combout\,
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => \inst1|Equal4~0_combout\,
	combout => \inst1|Equal4~1_combout\);

-- Location: LCCOMB_X59_Y4_N24
\inst1|Selector5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector5~0_combout\ = (\inst1|fstate.NSR_EOO~regout\ & ((\inst1|Equal3~1_combout\) # ((\inst1|fstate.NSR_EOR2~regout\ & !\inst1|Equal4~1_combout\)))) # (!\inst1|fstate.NSR_EOO~regout\ & (((\inst1|fstate.NSR_EOR2~regout\ & 
-- !\inst1|Equal4~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSR_EOO~regout\,
	datab => \inst1|Equal3~1_combout\,
	datac => \inst1|fstate.NSR_EOR2~regout\,
	datad => \inst1|Equal4~1_combout\,
	combout => \inst1|Selector5~0_combout\);

-- Location: LCFF_X59_Y4_N25
\inst1|fstate.NSR_EOR2\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector5~0_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSR_EOR2~regout\);

-- Location: LCCOMB_X59_Y4_N10
\inst1|reg_fstate.NSV_EOR~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|reg_fstate.NSV_EOR~1_combout\ = (!\inst1|reg_fstate.NSV_EOR~0_combout\ & (\KEY~combout\(1) & ((!\inst1|Equal4~1_combout\) # (!\inst1|fstate.NSR_EOR2~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|reg_fstate.NSV_EOR~0_combout\,
	datab => \KEY~combout\(1),
	datac => \inst1|fstate.NSR_EOR2~regout\,
	datad => \inst1|Equal4~1_combout\,
	combout => \inst1|reg_fstate.NSV_EOR~1_combout\);

-- Location: LCFF_X59_Y4_N11
\inst1|fstate.NSV_EOR\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|reg_fstate.NSV_EOR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSV_EOR~regout\);

-- Location: LCCOMB_X59_Y4_N12
\inst1|Selector7~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector7~0_combout\ = (\SW~combout\(0) & !\inst1|fstate.NSV_EOR~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \SW~combout\(0),
	datad => \inst1|fstate.NSV_EOR~regout\,
	combout => \inst1|Selector7~0_combout\);

-- Location: LCCOMB_X60_Y4_N2
\inst1|Selector7~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector7~1_combout\ = (\inst1|Selector7~0_combout\) # ((!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst1|fstate.OR0~regout\ & \inst1|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datab => \inst1|fstate.OR0~regout\,
	datac => \inst1|Equal0~1_combout\,
	datad => \inst1|Selector7~0_combout\,
	combout => \inst1|Selector7~1_combout\);

-- Location: LCFF_X60_Y4_N3
\inst1|fstate.RAZ_T2\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector7~1_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.RAZ_T2~regout\);

-- Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(0),
	combout => \KEY~combout\(0));

-- Location: LCCOMB_X59_Y4_N8
\inst1|reg_fstate.RAZ_T~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|reg_fstate.RAZ_T~0_combout\ = (!\SW~combout\(0) & (!\inst1|fstate.NSV_EOR~regout\ & (\KEY~combout\(1) & !\KEY~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst1|fstate.NSV_EOR~regout\,
	datac => \KEY~combout\(1),
	datad => \KEY~combout\(0),
	combout => \inst1|reg_fstate.RAZ_T~0_combout\);

-- Location: LCFF_X59_Y4_N9
\inst1|fstate.RAZ_T\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|reg_fstate.RAZ_T~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.RAZ_T~regout\);

-- Location: LCCOMB_X60_Y4_N28
\inst1|RAZ_CPT~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|RAZ_CPT~0_combout\ = (\KEY~combout\(1) & ((\inst1|fstate.RAZ_T2~regout\) # (\inst1|fstate.RAZ_T~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|fstate.RAZ_T2~regout\,
	datac => \KEY~combout\(1),
	datad => \inst1|fstate.RAZ_T~regout\,
	combout => \inst1|RAZ_CPT~0_combout\);

-- Location: LCFF_X60_Y4_N9
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1));

-- Location: LCCOMB_X60_Y4_N14
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(4) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|safe_q\(4) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: LCCOMB_X60_Y4_N16
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(5) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCFF_X60_Y4_N19
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(6));

-- Location: LCFF_X60_Y4_N17
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(5));

-- Location: LCFF_X60_Y4_N15
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst2|LPM_COUNTER_component|auto_generated|cout_actual~clkctrl_outclk\,
	datain => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	aclr => \inst1|RAZ_CPT~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(4));

-- Location: LCCOMB_X60_Y4_N30
\inst1|Equal0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal0~0_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(7) & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(5) & 
-- !\inst3|LPM_COUNTER_component|auto_generated|safe_q\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(4),
	combout => \inst1|Equal0~0_combout\);

-- Location: LCCOMB_X59_Y4_N14
\inst1|Equal3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal3~0_combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(3) & !\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	combout => \inst1|Equal3~0_combout\);

-- Location: LCCOMB_X59_Y4_N0
\inst1|Equal3~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal3~1_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & (\inst1|Equal0~0_combout\ & (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & \inst1|Equal3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datab => \inst1|Equal0~0_combout\,
	datac => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => \inst1|Equal3~0_combout\,
	combout => \inst1|Equal3~1_combout\);

-- Location: LCCOMB_X59_Y4_N30
\inst1|Equal2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal2~0_combout\ = (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst1|Equal3~0_combout\ & \inst1|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datac => \inst1|Equal3~0_combout\,
	datad => \inst1|Equal0~0_combout\,
	combout => \inst1|Equal2~0_combout\);

-- Location: LCCOMB_X59_Y4_N2
\inst1|Selector4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector4~0_combout\ = (\inst1|fstate.NSR_EOV~regout\ & ((\inst1|Equal2~0_combout\) # ((!\inst1|Equal3~1_combout\ & \inst1|fstate.NSR_EOO~regout\)))) # (!\inst1|fstate.NSR_EOV~regout\ & (!\inst1|Equal3~1_combout\ & (\inst1|fstate.NSR_EOO~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSR_EOV~regout\,
	datab => \inst1|Equal3~1_combout\,
	datac => \inst1|fstate.NSR_EOO~regout\,
	datad => \inst1|Equal2~0_combout\,
	combout => \inst1|Selector4~0_combout\);

-- Location: LCFF_X59_Y4_N3
\inst1|fstate.NSR_EOO\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector4~0_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSR_EOO~regout\);

-- Location: LCCOMB_X61_Y4_N24
\inst1|Selector2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector2~0_combout\ = (\inst1|Equal0~1_combout\ & (!\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0) & ((\inst1|fstate.NSO_EOR~regout\) # (\inst1|fstate.NSR_EOR1~regout\)))) # (!\inst1|Equal0~1_combout\ & 
-- (((\inst1|fstate.NSR_EOR1~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSO_EOR~regout\,
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst1|fstate.NSR_EOR1~regout\,
	datad => \inst1|Equal0~1_combout\,
	combout => \inst1|Selector2~0_combout\);

-- Location: LCFF_X61_Y4_N25
\inst1|fstate.NSR_EOR1\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector2~0_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSR_EOR1~regout\);

-- Location: LCCOMB_X60_Y4_N26
\inst1|Selector3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector3~0_combout\ = (\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst1|fstate.NSR_EOR1~regout\ & \inst1|Equal0~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datab => \inst1|fstate.NSR_EOR1~regout\,
	datad => \inst1|Equal0~1_combout\,
	combout => \inst1|Selector3~0_combout\);

-- Location: LCCOMB_X60_Y4_N24
\inst1|Selector3~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector3~1_combout\ = (\inst1|Selector3~0_combout\) # ((!\inst1|Equal2~0_combout\ & \inst1|fstate.NSR_EOV~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Equal2~0_combout\,
	datac => \inst1|fstate.NSR_EOV~regout\,
	datad => \inst1|Selector3~0_combout\,
	combout => \inst1|Selector3~1_combout\);

-- Location: LCFF_X60_Y4_N25
\inst1|fstate.NSR_EOV\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector3~1_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSR_EOV~regout\);

-- Location: LCCOMB_X59_Y4_N22
\inst1|R_NS~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|R_NS~0_combout\ = (\inst1|fstate.NSR_EOR2~regout\) # ((\inst1|fstate.NSR_EOO~regout\) # ((\inst1|fstate.NSR_EOR1~regout\) # (\inst1|fstate.NSR_EOV~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSR_EOR2~regout\,
	datab => \inst1|fstate.NSR_EOO~regout\,
	datac => \inst1|fstate.NSR_EOR1~regout\,
	datad => \inst1|fstate.NSR_EOV~regout\,
	combout => \inst1|R_NS~0_combout\);

-- Location: LCCOMB_X61_Y4_N12
\inst1|R_NS~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|R_NS~1_combout\ = (\inst1|R_NS~0_combout\ & \KEY~combout\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|R_NS~0_combout\,
	datad => \KEY~combout\(1),
	combout => \inst1|R_NS~1_combout\);

-- Location: LCCOMB_X61_Y4_N26
\inst1|Selector0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector0~0_combout\ = (\inst1|fstate.RAZ_T~regout\) # ((\inst1|fstate.NSO_EOR~regout\ & ((\inst3|LPM_COUNTER_component|auto_generated|safe_q\(0)) # (!\inst1|Equal0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.RAZ_T~regout\,
	datab => \inst3|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst1|fstate.NSO_EOR~regout\,
	datad => \inst1|Equal0~1_combout\,
	combout => \inst1|Selector0~0_combout\);

-- Location: LCFF_X61_Y4_N27
\inst1|fstate.NSO_EOR\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector0~0_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.NSO_EOR~regout\);

-- Location: LCCOMB_X59_Y4_N20
\inst1|Selector6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector6~0_combout\ = (\SW~combout\(0) & ((\inst1|fstate.RAZ_T2~regout\) # ((\inst1|fstate.OR1~regout\ & !\inst1|Equal5~1_combout\)))) # (!\SW~combout\(0) & (((\inst1|fstate.OR1~regout\ & !\inst1|Equal5~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst1|fstate.RAZ_T2~regout\,
	datac => \inst1|fstate.OR1~regout\,
	datad => \inst1|Equal5~1_combout\,
	combout => \inst1|Selector6~0_combout\);

-- Location: LCFF_X59_Y4_N21
\inst1|fstate.OR1\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst1|Selector6~0_combout\,
	sclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|fstate.OR1~regout\);

-- Location: LCCOMB_X61_Y4_N22
\inst1|O_NS~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|O_NS~0_combout\ = (\KEY~combout\(1) & ((\inst1|fstate.NSO_EOR~regout\) # ((\inst1|fstate.OR1~regout\) # (\inst1|fstate.RAZ_T2~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \KEY~combout\(1),
	datab => \inst1|fstate.NSO_EOR~regout\,
	datac => \inst1|fstate.OR1~regout\,
	datad => \inst1|fstate.RAZ_T2~regout\,
	combout => \inst1|O_NS~0_combout\);

-- Location: LCCOMB_X61_Y4_N8
\inst1|V_NS~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|V_NS~0_combout\ = (\KEY~combout\(1) & ((\inst1|fstate.RAZ_T~regout\) # (!\inst1|fstate.NSV_EOR~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSV_EOR~regout\,
	datab => \inst1|fstate.RAZ_T~regout\,
	datad => \KEY~combout\(1),
	combout => \inst1|V_NS~0_combout\);

-- Location: LCCOMB_X61_Y4_N18
\inst1|R_EO~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|R_EO~0_combout\ = ((\inst1|fstate.RAZ_T~regout\) # ((\inst1|fstate.NSR_EOR1~regout\) # (\inst1|fstate.NSR_EOR2~regout\))) # (!\inst1|fstate.NSV_EOR~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.NSV_EOR~regout\,
	datab => \inst1|fstate.RAZ_T~regout\,
	datac => \inst1|fstate.NSR_EOR1~regout\,
	datad => \inst1|fstate.NSR_EOR2~regout\,
	combout => \inst1|R_EO~0_combout\);

-- Location: LCCOMB_X61_Y4_N20
\inst1|R_EO~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|R_EO~1_combout\ = (\KEY~combout\(1) & ((\inst1|R_EO~0_combout\) # (\inst1|fstate.NSO_EOR~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \KEY~combout\(1),
	datab => \inst1|R_EO~0_combout\,
	datad => \inst1|fstate.NSO_EOR~regout\,
	combout => \inst1|R_EO~1_combout\);

-- Location: LCCOMB_X59_Y4_N4
\inst1|O_EO~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|O_EO~0_combout\ = (\KEY~combout\(1) & ((\inst1|fstate.OR1~regout\) # ((\inst1|fstate.RAZ_T2~regout\) # (\inst1|fstate.NSR_EOO~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|fstate.OR1~regout\,
	datab => \inst1|fstate.RAZ_T2~regout\,
	datac => \KEY~combout\(1),
	datad => \inst1|fstate.NSR_EOO~regout\,
	combout => \inst1|O_EO~0_combout\);

-- Location: LCCOMB_X61_Y4_N6
\inst1|V_EO~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|V_EO~0_combout\ = (\inst1|fstate.NSR_EOV~regout\ & \KEY~combout\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|fstate.NSR_EOV~regout\,
	datad => \KEY~combout\(1),
	combout => \inst1|V_EO~0_combout\);

-- Location: PIN_AC21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => GND,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(7));

-- Location: PIN_AD21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|R_NS~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(6));

-- Location: PIN_AD23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|O_NS~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(5));

-- Location: PIN_AD22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|V_NS~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(4));

-- Location: PIN_AC22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => GND,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(3));

-- Location: PIN_AB21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|R_EO~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(2));

-- Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|O_EO~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(1));

-- Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|V_EO~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(0));
END structure;


