-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "12/28/2010 14:59:21"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	compteur_MAE IS
    PORT (
	reset : IN std_logic;
	clock : IN std_logic;
	sens : IN std_logic;
	output1 : OUT std_logic;
	output2 : OUT std_logic
	);
END compteur_MAE;

-- Design Ports Information
-- output1	=>  Location: PIN_C12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- output2	=>  Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- reset	=>  Location: PIN_C13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- sens	=>  Location: PIN_D13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- clock	=>  Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF compteur_MAE IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_reset : std_logic;
SIGNAL ww_clock : std_logic;
SIGNAL ww_sens : std_logic;
SIGNAL ww_output1 : std_logic;
SIGNAL ww_output2 : std_logic;
SIGNAL \clock~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sens~combout\ : std_logic;
SIGNAL \clock~combout\ : std_logic;
SIGNAL \clock~clkctrl_outclk\ : std_logic;
SIGNAL \reset~combout\ : std_logic;
SIGNAL \reg_fstate.state4~0_combout\ : std_logic;
SIGNAL \fstate.state4~regout\ : std_logic;
SIGNAL \reg_fstate.state3~0_combout\ : std_logic;
SIGNAL \fstate.state3~regout\ : std_logic;
SIGNAL \reg_fstate.state2~0_combout\ : std_logic;
SIGNAL \fstate.state2~regout\ : std_logic;
SIGNAL \reg_fstate.state1~0_combout\ : std_logic;
SIGNAL \fstate.state1~regout\ : std_logic;
SIGNAL \output1~0_combout\ : std_logic;
SIGNAL \output2~0_combout\ : std_logic;
SIGNAL \ALT_INV_output1~0_combout\ : std_logic;
SIGNAL \ALT_INV_output2~0_combout\ : std_logic;

BEGIN

ww_reset <= reset;
ww_clock <= clock;
ww_sens <= sens;
output1 <= ww_output1;
output2 <= ww_output2;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clock~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clock~combout\);
\ALT_INV_output1~0_combout\ <= NOT \output1~0_combout\;
\ALT_INV_output2~0_combout\ <= NOT \output2~0_combout\;

-- Location: PIN_D13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\sens~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_sens,
	combout => \sens~combout\);

-- Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clock~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clock,
	combout => \clock~combout\);

-- Location: CLKCTRL_G3
\clock~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clock~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clock~clkctrl_outclk\);

-- Location: PIN_C13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\reset~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_reset,
	combout => \reset~combout\);

-- Location: LCCOMB_X30_Y35_N10
\reg_fstate.state4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \reg_fstate.state4~0_combout\ = (!\reset~combout\ & ((\sens~combout\ & (\fstate.state3~regout\)) # (!\sens~combout\ & ((!\fstate.state1~regout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sens~combout\,
	datab => \reset~combout\,
	datac => \fstate.state3~regout\,
	datad => \fstate.state1~regout\,
	combout => \reg_fstate.state4~0_combout\);

-- Location: LCFF_X30_Y35_N11
\fstate.state4\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock~clkctrl_outclk\,
	datain => \reg_fstate.state4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \fstate.state4~regout\);

-- Location: LCCOMB_X30_Y35_N0
\reg_fstate.state3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \reg_fstate.state3~0_combout\ = (!\reset~combout\ & ((\sens~combout\ & (\fstate.state2~regout\)) # (!\sens~combout\ & ((\fstate.state4~regout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sens~combout\,
	datab => \reset~combout\,
	datac => \fstate.state2~regout\,
	datad => \fstate.state4~regout\,
	combout => \reg_fstate.state3~0_combout\);

-- Location: LCFF_X30_Y35_N1
\fstate.state3\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock~clkctrl_outclk\,
	datain => \reg_fstate.state3~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \fstate.state3~regout\);

-- Location: LCCOMB_X30_Y35_N14
\reg_fstate.state2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \reg_fstate.state2~0_combout\ = (!\reset~combout\ & ((\sens~combout\ & ((!\fstate.state1~regout\))) # (!\sens~combout\ & (\fstate.state3~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sens~combout\,
	datab => \reset~combout\,
	datac => \fstate.state3~regout\,
	datad => \fstate.state1~regout\,
	combout => \reg_fstate.state2~0_combout\);

-- Location: LCFF_X30_Y35_N15
\fstate.state2\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock~clkctrl_outclk\,
	datain => \reg_fstate.state2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \fstate.state2~regout\);

-- Location: LCCOMB_X30_Y35_N26
\reg_fstate.state1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \reg_fstate.state1~0_combout\ = (!\reset~combout\ & ((\sens~combout\ & ((!\fstate.state4~regout\))) # (!\sens~combout\ & (!\fstate.state2~regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sens~combout\,
	datab => \reset~combout\,
	datac => \fstate.state2~regout\,
	datad => \fstate.state4~regout\,
	combout => \reg_fstate.state1~0_combout\);

-- Location: LCFF_X30_Y35_N27
\fstate.state1\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock~clkctrl_outclk\,
	datain => \reg_fstate.state1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \fstate.state1~regout\);

-- Location: LCCOMB_X30_Y35_N28
\output1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \output1~0_combout\ = ((\fstate.state3~regout\) # (\reset~combout\)) # (!\fstate.state1~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fstate.state1~regout\,
	datac => \fstate.state3~regout\,
	datad => \reset~combout\,
	combout => \output1~0_combout\);

-- Location: LCCOMB_X30_Y35_N16
\output2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \output2~0_combout\ = (\fstate.state2~regout\) # ((\reset~combout\) # (!\fstate.state1~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fstate.state2~regout\,
	datac => \fstate.state1~regout\,
	datad => \reset~combout\,
	combout => \output2~0_combout\);

-- Location: PIN_C12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\output1~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_output1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_output1);

-- Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\output2~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_output2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_output2);
END structure;


