-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "01/25/2011 18:52:30"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	motpp_MAE IS
    PORT (
	LEDR : OUT std_logic_vector(3 DOWNTO 0);
	KEY : IN std_logic_vector(0 DOWNTO 0);
	SW : IN std_logic_vector(0 DOWNTO 0)
	);
END motpp_MAE;

-- Design Ports Information
-- LEDR[3]	=>  Location: PIN_AC22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[2]	=>  Location: PIN_AB21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[1]	=>  Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[0]	=>  Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- SW[0]	=>  Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF motpp_MAE IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_LEDR : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_KEY : std_logic_vector(0 DOWNTO 0);
SIGNAL ww_SW : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst|Selector1~0_combout\ : std_logic;
SIGNAL \inst|fstate.P3~regout\ : std_logic;
SIGNAL \inst|reg_fstate~1_combout\ : std_logic;
SIGNAL \inst|fstate.P4~regout\ : std_logic;
SIGNAL \inst|Selector2~0_combout\ : std_logic;
SIGNAL \inst|fstate.P5~regout\ : std_logic;
SIGNAL \inst|reg_fstate~2_combout\ : std_logic;
SIGNAL \inst|fstate.P6~regout\ : std_logic;
SIGNAL \inst|Selector3~0_combout\ : std_logic;
SIGNAL \inst|fstate.P7~regout\ : std_logic;
SIGNAL \inst|reg_fstate~3_combout\ : std_logic;
SIGNAL \inst|fstate.P8~regout\ : std_logic;
SIGNAL \inst|Selector0~0_combout\ : std_logic;
SIGNAL \inst|fstate.P1~regout\ : std_logic;
SIGNAL \inst|reg_fstate~0_combout\ : std_logic;
SIGNAL \inst|fstate.P2~regout\ : std_logic;
SIGNAL \inst|WideOr4~0_combout\ : std_logic;
SIGNAL \inst|WideOr5~0_combout\ : std_logic;
SIGNAL \inst|WideOr6~0_combout\ : std_logic;
SIGNAL \inst|WideOr7~0_combout\ : std_logic;
SIGNAL \KEY~combout\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \SW~combout\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst|Selector1~0_DATAB_driver\ : std_logic;
SIGNAL \inst|Selector1~0_DATAC_driver\ : std_logic;
SIGNAL \inst|Selector1~0_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P3_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P3_DATAIN_driver\ : std_logic;
SIGNAL \inst|reg_fstate~1_DATAC_driver\ : std_logic;
SIGNAL \inst|reg_fstate~1_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P4_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P4_DATAIN_driver\ : std_logic;
SIGNAL \inst|Selector2~0_DATAB_driver\ : std_logic;
SIGNAL \inst|Selector2~0_DATAC_driver\ : std_logic;
SIGNAL \inst|Selector2~0_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P5_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P5_DATAIN_driver\ : std_logic;
SIGNAL \inst|reg_fstate~2_DATAC_driver\ : std_logic;
SIGNAL \inst|reg_fstate~2_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P6_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P6_DATAIN_driver\ : std_logic;
SIGNAL \inst|Selector3~0_DATAB_driver\ : std_logic;
SIGNAL \inst|Selector3~0_DATAC_driver\ : std_logic;
SIGNAL \inst|Selector3~0_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P7_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P7_DATAIN_driver\ : std_logic;
SIGNAL \inst|reg_fstate~3_DATAC_driver\ : std_logic;
SIGNAL \inst|reg_fstate~3_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P8_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P8_DATAIN_driver\ : std_logic;
SIGNAL \inst|Selector0~0_DATAB_driver\ : std_logic;
SIGNAL \inst|Selector0~0_DATAC_driver\ : std_logic;
SIGNAL \inst|Selector0~0_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P1_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P1_DATAIN_driver\ : std_logic;
SIGNAL \inst|reg_fstate~0_DATAC_driver\ : std_logic;
SIGNAL \inst|reg_fstate~0_DATAD_driver\ : std_logic;
SIGNAL \inst|fstate.P2_CLK_driver\ : std_logic;
SIGNAL \inst|fstate.P2_DATAIN_driver\ : std_logic;
SIGNAL \inst|WideOr4~0_DATAA_driver\ : std_logic;
SIGNAL \inst|WideOr4~0_DATAB_driver\ : std_logic;
SIGNAL \inst|WideOr4~0_DATAD_driver\ : std_logic;
SIGNAL \inst|WideOr5~0_DATAB_driver\ : std_logic;
SIGNAL \inst|WideOr5~0_DATAC_driver\ : std_logic;
SIGNAL \inst|WideOr5~0_DATAD_driver\ : std_logic;
SIGNAL \inst|WideOr6~0_DATAA_driver\ : std_logic;
SIGNAL \inst|WideOr6~0_DATAB_driver\ : std_logic;
SIGNAL \inst|WideOr6~0_DATAD_driver\ : std_logic;
SIGNAL \inst|WideOr7~0_DATAA_driver\ : std_logic;
SIGNAL \inst|WideOr7~0_DATAB_driver\ : std_logic;
SIGNAL \inst|WideOr7~0_DATAD_driver\ : std_logic;
SIGNAL \LEDR[3]_DATAIN_driver\ : std_logic;
SIGNAL \LEDR[2]_DATAIN_driver\ : std_logic;
SIGNAL \LEDR[1]_DATAIN_driver\ : std_logic;
SIGNAL \LEDR[0]_DATAIN_driver\ : std_logic;

BEGIN

LEDR <= ww_LEDR;
ww_KEY <= KEY;
ww_SW <= SW;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

-- Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(0),
	combout => \KEY~combout\(0));

-- Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(0),
	combout => \SW~combout\(0));

\inst|Selector1~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|Selector1~0_DATAB_driver\);

\inst|Selector1~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P2~regout\,
	dataout => \inst|Selector1~0_DATAC_driver\);

\inst|Selector1~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P1~regout\,
	dataout => \inst|Selector1~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N26
\inst|Selector1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Selector1~0_combout\ = (\inst|fstate.P2~regout\) # ((!\SW~combout\(0) & !\inst|fstate.P1~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|Selector1~0_DATAB_driver\,
	datac => \inst|Selector1~0_DATAC_driver\,
	datad => \inst|Selector1~0_DATAD_driver\,
	combout => \inst|Selector1~0_combout\);

\inst|fstate.P3_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P3_CLK_driver\);

\inst|fstate.P3_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|Selector1~0_combout\,
	dataout => \inst|fstate.P3_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N27
\inst|fstate.P3\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P3_CLK_driver\,
	datain => \inst|fstate.P3_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P3~regout\);

\inst|reg_fstate~1_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|reg_fstate~1_DATAC_driver\);

\inst|reg_fstate~1_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P3~regout\,
	dataout => \inst|reg_fstate~1_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N20
\inst|reg_fstate~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|reg_fstate~1_combout\ = (\SW~combout\(0) & \inst|fstate.P3~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|reg_fstate~1_DATAC_driver\,
	datad => \inst|reg_fstate~1_DATAD_driver\,
	combout => \inst|reg_fstate~1_combout\);

\inst|fstate.P4_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P4_CLK_driver\);

\inst|fstate.P4_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|reg_fstate~1_combout\,
	dataout => \inst|fstate.P4_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N21
\inst|fstate.P4\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P4_CLK_driver\,
	datain => \inst|fstate.P4_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P4~regout\);

\inst|Selector2~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|Selector2~0_DATAB_driver\);

\inst|Selector2~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P4~regout\,
	dataout => \inst|Selector2~0_DATAC_driver\);

\inst|Selector2~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P3~regout\,
	dataout => \inst|Selector2~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N0
\inst|Selector2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Selector2~0_combout\ = (\inst|fstate.P4~regout\) # ((!\SW~combout\(0) & \inst|fstate.P3~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|Selector2~0_DATAB_driver\,
	datac => \inst|Selector2~0_DATAC_driver\,
	datad => \inst|Selector2~0_DATAD_driver\,
	combout => \inst|Selector2~0_combout\);

\inst|fstate.P5_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P5_CLK_driver\);

\inst|fstate.P5_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|Selector2~0_combout\,
	dataout => \inst|fstate.P5_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N1
\inst|fstate.P5\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P5_CLK_driver\,
	datain => \inst|fstate.P5_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P5~regout\);

\inst|reg_fstate~2_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|reg_fstate~2_DATAC_driver\);

\inst|reg_fstate~2_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P5~regout\,
	dataout => \inst|reg_fstate~2_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N2
\inst|reg_fstate~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|reg_fstate~2_combout\ = (\SW~combout\(0) & \inst|fstate.P5~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|reg_fstate~2_DATAC_driver\,
	datad => \inst|reg_fstate~2_DATAD_driver\,
	combout => \inst|reg_fstate~2_combout\);

\inst|fstate.P6_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P6_CLK_driver\);

\inst|fstate.P6_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|reg_fstate~2_combout\,
	dataout => \inst|fstate.P6_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N3
\inst|fstate.P6\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P6_CLK_driver\,
	datain => \inst|fstate.P6_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P6~regout\);

\inst|Selector3~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|Selector3~0_DATAB_driver\);

\inst|Selector3~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P5~regout\,
	dataout => \inst|Selector3~0_DATAC_driver\);

\inst|Selector3~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P6~regout\,
	dataout => \inst|Selector3~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N30
\inst|Selector3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Selector3~0_combout\ = (\inst|fstate.P6~regout\) # ((!\SW~combout\(0) & \inst|fstate.P5~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|Selector3~0_DATAB_driver\,
	datac => \inst|Selector3~0_DATAC_driver\,
	datad => \inst|Selector3~0_DATAD_driver\,
	combout => \inst|Selector3~0_combout\);

\inst|fstate.P7_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P7_CLK_driver\);

\inst|fstate.P7_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|Selector3~0_combout\,
	dataout => \inst|fstate.P7_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N31
\inst|fstate.P7\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P7_CLK_driver\,
	datain => \inst|fstate.P7_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P7~regout\);

\inst|reg_fstate~3_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|reg_fstate~3_DATAC_driver\);

\inst|reg_fstate~3_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P7~regout\,
	dataout => \inst|reg_fstate~3_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N24
\inst|reg_fstate~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|reg_fstate~3_combout\ = (\SW~combout\(0) & \inst|fstate.P7~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|reg_fstate~3_DATAC_driver\,
	datad => \inst|reg_fstate~3_DATAD_driver\,
	combout => \inst|reg_fstate~3_combout\);

\inst|fstate.P8_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P8_CLK_driver\);

\inst|fstate.P8_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|reg_fstate~3_combout\,
	dataout => \inst|fstate.P8_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N25
\inst|fstate.P8\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P8_CLK_driver\,
	datain => \inst|fstate.P8_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P8~regout\);

\inst|Selector0~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|Selector0~0_DATAB_driver\);

\inst|Selector0~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P8~regout\,
	dataout => \inst|Selector0~0_DATAC_driver\);

\inst|Selector0~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P7~regout\,
	dataout => \inst|Selector0~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N12
\inst|Selector0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Selector0~0_combout\ = (!\inst|fstate.P8~regout\ & ((\SW~combout\(0)) # (!\inst|fstate.P7~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|Selector0~0_DATAB_driver\,
	datac => \inst|Selector0~0_DATAC_driver\,
	datad => \inst|Selector0~0_DATAD_driver\,
	combout => \inst|Selector0~0_combout\);

\inst|fstate.P1_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P1_CLK_driver\);

\inst|fstate.P1_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|Selector0~0_combout\,
	dataout => \inst|fstate.P1_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N13
\inst|fstate.P1\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P1_CLK_driver\,
	datain => \inst|fstate.P1_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P1~regout\);

\inst|reg_fstate~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \SW~combout\(0),
	dataout => \inst|reg_fstate~0_DATAC_driver\);

\inst|reg_fstate~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P1~regout\,
	dataout => \inst|reg_fstate~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N8
\inst|reg_fstate~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|reg_fstate~0_combout\ = (\SW~combout\(0) & !\inst|fstate.P1~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|reg_fstate~0_DATAC_driver\,
	datad => \inst|reg_fstate~0_DATAD_driver\,
	combout => \inst|reg_fstate~0_combout\);

\inst|fstate.P2_CLK_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \KEY~combout\(0),
	dataout => \inst|fstate.P2_CLK_driver\);

\inst|fstate.P2_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|reg_fstate~0_combout\,
	dataout => \inst|fstate.P2_DATAIN_driver\);

-- Location: LCFF_X64_Y7_N9
\inst|fstate.P2\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|fstate.P2_CLK_driver\,
	datain => \inst|fstate.P2_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|fstate.P2~regout\);

\inst|WideOr4~0_DATAA_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P2~regout\,
	dataout => \inst|WideOr4~0_DATAA_driver\);

\inst|WideOr4~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P4~regout\,
	dataout => \inst|WideOr4~0_DATAB_driver\);

\inst|WideOr4~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P3~regout\,
	dataout => \inst|WideOr4~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N22
\inst|WideOr4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|WideOr4~0_combout\ = (\inst|fstate.P2~regout\) # ((\inst|fstate.P4~regout\) # (\inst|fstate.P3~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|WideOr4~0_DATAA_driver\,
	datab => \inst|WideOr4~0_DATAB_driver\,
	datad => \inst|WideOr4~0_DATAD_driver\,
	combout => \inst|WideOr4~0_combout\);

\inst|WideOr5~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P6~regout\,
	dataout => \inst|WideOr5~0_DATAB_driver\);

\inst|WideOr5~0_DATAC_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P5~regout\,
	dataout => \inst|WideOr5~0_DATAC_driver\);

\inst|WideOr5~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P4~regout\,
	dataout => \inst|WideOr5~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N28
\inst|WideOr5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|WideOr5~0_combout\ = (\inst|fstate.P6~regout\) # ((\inst|fstate.P5~regout\) # (\inst|fstate.P4~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|WideOr5~0_DATAB_driver\,
	datac => \inst|WideOr5~0_DATAC_driver\,
	datad => \inst|WideOr5~0_DATAD_driver\,
	combout => \inst|WideOr5~0_combout\);

\inst|WideOr6~0_DATAA_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P7~regout\,
	dataout => \inst|WideOr6~0_DATAA_driver\);

\inst|WideOr6~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P6~regout\,
	dataout => \inst|WideOr6~0_DATAB_driver\);

\inst|WideOr6~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P8~regout\,
	dataout => \inst|WideOr6~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N10
\inst|WideOr6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|WideOr6~0_combout\ = (\inst|fstate.P7~regout\) # ((\inst|fstate.P6~regout\) # (\inst|fstate.P8~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|WideOr6~0_DATAA_driver\,
	datab => \inst|WideOr6~0_DATAB_driver\,
	datad => \inst|WideOr6~0_DATAD_driver\,
	combout => \inst|WideOr6~0_combout\);

\inst|WideOr7~0_DATAA_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P2~regout\,
	dataout => \inst|WideOr7~0_DATAA_driver\);

\inst|WideOr7~0_DATAB_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P1~regout\,
	dataout => \inst|WideOr7~0_DATAB_driver\);

\inst|WideOr7~0_DATAD_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|fstate.P8~regout\,
	dataout => \inst|WideOr7~0_DATAD_driver\);

-- Location: LCCOMB_X64_Y7_N6
\inst|WideOr7~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|WideOr7~0_combout\ = (\inst|fstate.P2~regout\) # ((\inst|fstate.P8~regout\) # (!\inst|fstate.P1~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|WideOr7~0_DATAA_driver\,
	datab => \inst|WideOr7~0_DATAB_driver\,
	datad => \inst|WideOr7~0_DATAD_driver\,
	combout => \inst|WideOr7~0_combout\);

\LEDR[3]_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|WideOr4~0_combout\,
	dataout => \LEDR[3]_DATAIN_driver\);

-- Location: PIN_AC22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \LEDR[3]_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(3));

\LEDR[2]_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|WideOr5~0_combout\,
	dataout => \LEDR[2]_DATAIN_driver\);

-- Location: PIN_AB21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \LEDR[2]_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(2));

\LEDR[1]_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|WideOr6~0_combout\,
	dataout => \LEDR[1]_DATAIN_driver\);

-- Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \LEDR[1]_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(1));

\LEDR[0]_DATAIN_routing_wire_inst\ : cycloneii_routing_wire
PORT MAP (
	datain => \inst|WideOr7~0_combout\,
	dataout => \LEDR[0]_DATAIN_driver\);

-- Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \LEDR[0]_DATAIN_driver\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(0));
END structure;


